API ReferenceScim
Replace a group (SCIM 2.0 PUT)
PUT
/v1/idp/scim/v2/Groups/{group_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
group_id*Group Id
Header Parameters
If-Match?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/idp/scim/v2/Groups/string" \ -H "Content-Type: application/json" \ -d '{ "displayName": "Engineering", "externalId": "grp-eng-01", "members": [ { "value": "2819c223-7f76-453a-919d-413861904646" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] }'{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "e9e30dba-f08f-4109-8486-d5c6a331660a", "displayName": "Engineering", "externalId": "grp-eng-01", "members": [ { "value": "2819c223-7f76-453a-919d-413861904646", "$ref (member)": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646" } ], "meta": { "resourceType": "Group", "location": "https://acme.example.com/v1/idp/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a" }}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "404", "detail": "User 2819c223-7f76-453a-919d-413861904646 not found"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "409", "detail": "userName already exists", "scimType": "uniqueness"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "412", "detail": "resource has changed"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}